Package Details: msp430-elf-binutils 2.31.1-1

Git Clone URL: https://aur.archlinux.org/msp430-elf-binutils.git (read-only)
Package Base: msp430-elf-binutils
Description: GNU binary utilities for the msp430-elf target.
Upstream URL: http://www.gnu.org/software/binutils/
Licenses: GPL
Submitter: vonPalitroque
Maintainer: vonPalitroque
Last Packager: vonPalitroque
Votes: 8
Popularity: 0.000004
First Submitted: 2015-09-19 18:03
Last Updated: 2018-07-20 14:50

Pinned Comments

vonPalitroque commented on 2015-09-19 18:11

Build order:

msp430-elf-binutils -> msp430-elf-gcc-stage1 -> msp430-elf-newlib -> msp430-elf-gcc-stage2 -> msp430-elf-mcu

The msp430-elf-mcu package is optional. It contains the headers and linker scripts by TI.

Latest Comments

calcmogul commented on 2017-05-26 02:19

Since flex is part of the make-devel group, it shouldn't be included in the depends array, as per https://wiki.archlinux.org/index.php/PKGBUILD#makedepends. core/binutils doesn't include it either.

bobi commented on 2016-07-04 14:55

Updating CHOST in /etc/makepkg.conf made it, thanks a lot!

vonPalitroque commented on 2016-07-04 14:48

Greetings,

I have edited my reply to reflect a possibly better solution. Please ensure CHOST is set properly in makepkg.conf. If that does not seem to work, please clear your ccache cache. Thank you.

Cheers,
Orlando.

bobi commented on 2016-07-04 14:43

Quite the exact same error with '!ccache' added to options.

Here's the diff:


$ diff config_vanilla.log config_disabled_ccache.log

30d29
< PATH: /usr/lib/ccache/bin
65c64
< configure:4087: found /usr/lib/ccache/bin/x86_64-unknown-linux-gnu-gcc
---
> configure:4087: found /usr/lib/ccache/bin//x86_64-unknown-linux-gnu-gcc

Edit: didn't read all your message (maybe you edited it afterwards? :p ), I’ll check the unknown/pc changes and keep you informed.

vonPalitroque commented on 2016-07-04 14:20

Greetings,

Thank you for reporting this. The issue you are experiencing is not in install() but in build(). It seems that you are running into a conflict with ccache. I am able to replicate your issue with a small change in configuration.

I believe this is due to a recent update to the gcc package. Instead of utilizing the old x86_64-unknown-linux-gnu prefix, it now uses x86_64-pc-linux-gnu. Since this PKGBUILD tells the configure script to use --host and --build from $CHOST, this value is read from that variable, which is set from /etc/makepkg.conf. You should have a pacnew file in /etc reflecting the proper change. Make sure this change is reflected in your makepkg.conf file

- CHOST="x86_64-unknown-linux-gnu"
+ CHOST="x86_64-pc-linux-gnu"

Alternatively, you could try disabling ccache for this PKGBUILD by adding '!ccache' to the options array. Thank you.

Cheers,
Orlando.

Edit: I believe to have found the root cause of the problem. Reflected my thoughts above.

bobi commented on 2016-07-04 08:28

Install gets an error on ./configure, it seems that it won't find any (cross-)compiler.
From config.log:

configure:4071: checking for x86_64-unknown-linux-gnu-gcc
configure:4087: found /usr/lib/ccache/bin/x86_64-unknown-linux-gnu-gcc
configure:4098: result: x86_64-unknown-linux-gnu-gcc
configure:4367: checking for C compiler version
configure:4376: x86_64-unknown-linux-gnu-gcc --version >&5
ccache: error: Could not find compiler "x86_64-unknown-linux-gnu-gcc" in PATH
configure:4387: $? = 1
configure:4376: x86_64-unknown-linux-gnu-gcc -v >&5
ccache: error: Could not find compiler "x86_64-unknown-linux-gnu-gcc" in PATH
configure:4387: $? = 1
configure:4376: x86_64-unknown-linux-gnu-gcc -V >&5
ccache: error: Could not find compiler "x86_64-unknown-linux-gnu-gcc" in PATH

And so on…

vonPalitroque commented on 2015-09-19 18:11

Build order:

msp430-elf-binutils -> msp430-elf-gcc-stage1 -> msp430-elf-newlib -> msp430-elf-gcc-stage2 -> msp430-elf-mcu

The msp430-elf-mcu package is optional. It contains the headers and linker scripts by TI.